dotnet-new-uninstall(1)

dotnet new uninstall

This article applies to: ✔️ .NET Core 3.1 SDK and later versions

NAME

dotnet-new-uninstall - uninstalls a template package.

SYNOPSIS

    dotnet new uninstall <PATH|NUGET_ID>
        [-d|--diagnostics] [--verbosity <LEVEL>] [-h|--help]

DESCRIPTION

The dotnet new uninstall command uninstalls a template package at the PATH or NUGET_ID provided. When the <PATH|NUGET_ID> value isn’t specified, all currently installed template packages and their associated templates are displayed. When specifying NUGET_ID, don’t include the version number.

Starting with the .NET 7 SDK, the dotnet new syntax has changed:

•   The --list, --search, --install, and --uninstall options became list, search, install, and uninstall subcommands.

•   The --update-apply option became the update subcommand.

•   To use --update-check, use the update subcommand with the --check-only option.

Other options that were available before are still available to use with their respective subcommands. Separate help for each subcommand is available via the -h or --help option: dotnet new <subcommand> --help lists all supported options for the subcommand.

Additionally, tab completion is now available for dotnet new. It supports completion for installed template names and for the options a selected template provides. To activate tab completion for the .NET SDK, see Enable tab completion. > > Examples of the old syntax: > > - List the installed templates and details about them, including how to uninstall them: > > dotnetcli > dotnet new --uninstall > > > - Uninstall the Azure web jobs project template package: > > dotnetcli > dotnet new --uninstall Microsoft.Azure.WebJobs.ProjectTemplates >

ARGUMENTS

•   <PATH|NUGET_ID>

    The folder on the file system or the NuGet package identifier the package was installed from. Note that the version for the NuGet package should not be specified.

OPTIONS

•   -d|--diagnostics

    Enables diagnostic output. Available since .NET SDK 7.0.100.

•   -h|--help

    Prints out help for the uninstall command. Available since .NET SDK 7.0.100.

•   -v|--verbosity <LEVEL>

    Sets the verbosity level of the command. Allowed values are q[uiet], m[inimal], n[ormal], and diag[nostic]. Available since .NET SDK 7.0.100.

EXAMPLES

•   List the installed templates and details about them, including how to uninstall them:

        dotnet new uninstall

•   Uninstall the SPA templates for ASP.NET Core:

        dotnet new uninstall Microsoft.DotNet.Web.Spa.ProjectTemplates

SEE ALSO

•   dotnet new command

•   dotnet new list command

•   dotnet new search command

•   Custom templates for dotnet new